import { Response } from 'express';
import { CookieResponse } from "../dtos/auth.dto";
import { ImmichCookie } from "../enum";
export declare const respondWithCookie: <T>(res: Response, body: T, { isSecure, values }: CookieResponse) => T;
export declare const respondWithoutCookie: <T>(res: Response, body: T, cookies: ImmichCookie[]) => T;
